import request from '@/utils/request'

// 查询列表
export function selectAppInformation(query) {
  return request({
    url: '/authority/system/app/selectAppInformation',
    method: 'get',
    params: query
  })
}

export function deleteApp(query) {
  return request({
    url: '/authority/system/app/deleteApp?appId=' + query,
    method: 'put'
  })
}

// 新增
export function insertApp(data) {
  return request({
    url: '/authority/system/app/insertApp',
    method: 'post',
    params: data
  })
}

// 修改
export function updateAppInformation(data) {
  return request({
    url: '/authority/system/app/updateAppInformation',
    method: 'put',
    params: data
  })
}
// 修改状态
export function updateAppStatus(data) {
  return request({
    url: '/authority/system/app/updateAppStatus',
    method: 'put',
    params: data
  })
}
// 重置密码
export function undateAppScrect(data) {
  return request({
    url: '/authority/system/app/undateAppScrect',
    method: 'post',
    params: data
  })
}

export function selectAppNoUnique(no) {
  return request({
    url: '/authority/system/app/selectAppNoUnique',
    method: 'post',
    data: {
      no
    }
  })
}

